package market.Mes.Dev.mapper;
import java.util.List;

import market.Mes.Dev.vo.DevBladeGrinding;

import com.hnshituo.orm.GenericMapper;

public interface DevBladeGrindingMapper extends GenericMapper<DevBladeGrinding,Object> {

	List<DevBladeGrinding> doQueryWeb(String memo1, String memo2, String string, String string2, String string3, String string4);

	Integer doCount(String memo1, String memo2);

	Integer doCount2(String v_serial_no);

	Integer doCount3(String memo1, String memo2);

	Integer doCount5(String memo1, String grp_code);

	void doDelete(String memo1);

	Integer doCount1(String machine_code, String grp_code, Long grd_sqc);

	void doUpdate1(String memo1, String userName);

	void doUpdate2(DevBladeGrinding dbgd, String string);

	void doUpdate3(String userName, String serial_no);

	String doQuery5(String memo1, String grp_code, String memo2);
	
}
